import csv

def read_rooms(fname):
  print('use classroomDB')
  print('db.rooms.deleteMany({})\n')
  print('db.rooms.insert([')
  with open(fname) as f:
    data = list(csv.reader(f,delimiter=','))
    for index,row in enumerate(data):
      bcode = row[0].strip()
      rnumber = row[1].strip()
      cap = row[2].strip()
      layout = row[3].strip()
      media = row[4].strip()
      type = row[6].strip()
      dept = row[7].strip()
      res = ''
      res += '{ bcode: "' + bcode + '",\n'
      res += '  rnumber: "' + rnumber + '",\n'
      res += '  cap: "' + cap + '",\n'
      res += '  layout: "' + layout + '",\n'
      res += '  type: "' + type + '",\n'
      res += '  dept: "' + dept + '",\n'
      if media.strip() != "":
        ms = media.split(";")
        res += '  media: [\n'
        for m in ms:
          mstrip = m.strip()
          if mstrip != "":
            res += '   "'+mstrip+'",\n'
        res = res[0:len(res)-2] + '\n'
        res += '    ]\n'
      else:
        res = res[0:len(res)-2]+'\n'
      res += '},'
      if index == len(data)-1:
        res = res[0:len(res)-1]
      print(res)
  print('])')

def main():
  read_rooms("classrooms.csv")

main()
